#pragma once

namespace a8
{
    class Results
    {
    public:

        Results(std::vector<std::any> results):results_(std::move(results)) {};

        template <typename T>
        T Get(size_t index) const { return std::any_cast<T>(results_.at(index));};

    private:
        std::vector<std::any> results_;
    };
}
